'use strict';

function remember_switch(target) {
    if (target.classList.contains('fa-unlock')) {
        // Найден "открытый замок"

        // Перезапись на "закрытый замок"
        target.classList.remove('fa-unlock');
        target.classList.add('fa-lock');

        // Изменение отправляемого значения
        document.querySelector('input[name=' + target.getAttribute('for') + ']').checked = true;
    } else {
        // Не найден "открытый замок", подразумевается, что найден "закрытый замок"

        // Перезапись на "открытый замок"
        target.classList.remove('fa-lock');
        target.classList.add('fa-unlock');

        // Изменение отправляемого значения
        document.querySelector('input[name=' + target.getAttribute('for') + ']').checked = false;
    }
}

function authentication(form) {
    // Инициализация адреса отправки формы
    form.action = '/account/authentication';

    return true;
}

function registration(form) {
    // Инициализация адреса отправки формы
    form.action = '/account/registration';

    return true;
}
